from enum import StrEnum

__all__ = ("Solvent",)


class Solvent(StrEnum):
    """Enum that stores all valid solvents for use in ORCA"""

    HEPTANOL = "HEPTANOL"
    FLUOROBENZENE = "FLUOROBENZENE"
    ACETONE = "ACETONE"
    PERFLUOROBENZENE = "PERFLUOROBENZENE"
    CH3CN = "CH3CN"
    TETRACHLOROETHENE = "TETRACHLOROETHENE"
    PENTANOL = "PENTANOL"
    PROPANOL = "PROPANOL"
    METHYLFORMAMIDE = "METHYLFORMAMIDE"
    TBUTYLBENZENE = "TBUTYLBENZENE"
    METHOXYETHANOL = "METHOXYETHANOL"
    NONANOL = "NONANOL"
    G2_PROPANOL = "2-PROPANOL"
    G1_HEXENE = "1-HEXENE"
    P_XYLENE = "P-XYLENE"
    TRIBUTYLPHOSPHATE = "TRIBUTYLPHOSPHATE"
    BUTYLACETATE = "BUTYLACETATE"
    HEXANOL = "HEXANOL"
    M_XYLENE = "M-XYLENE"
    G1_BROMOPROPANE = "1-BROMOPROPANE"
    MENO2 = "MENO2"
    BROMOBENZENE = "BROMOBENZENE"
    TETRAHYDROFURAN = "TETRAHYDROFURAN"
    N_OCTANE = "N-OCTANE"
    TETRAHYDROTHIOPHENEDIOXIDE = "TETRAHYDROTHIOPHENEDIOXIDE"
    WATER = "WATER"
    G1_BROMO_2_METHYLPROPANE = "1-BROMO-2-METHYLPROPANE"
    HEXADECANE = "HEXADECANE"
    PROPANONITRILE = "PROPANONITRILE"
    HEPTANE = "HEPTANE"
    G1_NITROPROPANE = "1-NITROPROPANE"
    TRANS_DECALIN = "TRANS-DECALIN"
    ODICHLOROBENZENE = "ODICHLOROBENZENE"
    G5_NONANONE = "5-NONANONE"
    G2_PENTANONE = "2-PENTANONE"
    BENZYL_ALCOHOL = "BENZYL ALCOHOL"
    SECBUTANOL = "SECBUTANOL"
    TRIETHYLAMINE = "TRIETHYLAMINE"
    DIPHENYLETHER = "DIPHENYLETHER"
    BUTANOIC_ACID = "BUTANOIC ACID"
    DECALIN = "DECALIN"
    DIETHYLETHER = "DIETHYLETHER"
    FORMIC_ACID = "FORMIC ACID"
    DIBUTYLETHER = "DIBUTYLETHER"
    HEXANOIC_ACID = "HEXANOIC ACID"
    G2METHYLPYRIDINE = "2METHYLPYRIDINE"
    G2_METHYLPYRIDINE = "2-METHYLPYRIDINE"
    N_PENTANE = "N-PENTANE"
    N_HEXANE = "N-HEXANE"
    PROPYL_ETHANOATE = "PROPYL ETHANOATE"
    IODOBENZENE = "IODOBENZENE"
    ISOPROPANOL = "ISOPROPANOL"
    G1_CHLOROPROPANE = "1-CHLOROPROPANE"
    N_DODECANE = "N-DODECANE"
    ETHYL_ETHANOATE = "ETHYL ETHANOATE"
    PHENOL = "PHENOL"
    DODECANE = "DODECANE"
    CH2CL2 = "CH2CL2"
    ETHYL_PHENYL_ETHER = "ETHYL PHENYL ETHER"
    ISOBUTANOL = "ISOBUTANOL"
    G1_CHLOROPENTANE = "1-CHLOROPENTANE"
    G1_DECANOL = "1-DECANOL"
    A_CHLOROTOLUENE = "A-CHLOROTOLUENE"
    H2O = "H2O"
    CYCLOPENTANONE = "CYCLOPENTANONE"
    SECBUTYLBENZENE = "SECBUTYLBENZENE"
    CHLOROBENZENE = "CHLOROBENZENE"
    G2_HEPTANONE = "2-HEPTANONE"
    G1_PROPANOL = "1-PROPANOL"
    ETHYLBENZENE = "ETHYLBENZENE"
    E_2_PENTENE = "E-2-PENTENE"
    O_NITROTOLUENE = "O-NITROTOLUENE"
    G2_METHYL_2_PROPANOL = "2-METHYL-2-PROPANOL"
    PENTANE = "PENTANE"
    G2_METHOXYETHANOL = "2-METHOXYETHANOL"
    PENTANOIC_ACID = "PENTANOIC ACID"
    G4_METHYL_2_PENTANONE = "4-METHYL-2-PENTANONE"
    BUTANOL = "BUTANOL"
    G2_BUTANOL = "2-BUTANOL"
    G2_HEXANONE = "2-HEXANONE"
    ACETICACID = "ACETICACID"
    DICHLOROMETHANE = "DICHLOROMETHANE"
    METHYL_BENZOATE = "METHYL BENZOATE"
    N_DECANE = "N-DECANE"
    HEXANE = "HEXANE"
    CARBON_TETRACHLORIDE = "CARBON TETRACHLORIDE"
    MCRESOL = "MCRESOL"
    XYLENE = "XYLENE"
    BUTYL_ETHANOATE = "BUTYL ETHANOATE"
    BUTANONE = "BUTANONE"
    IODOMETHANE = "IODOMETHANE"
    METHYL_METHANOATE = "METHYL METHANOATE"
    OCRESOL = "OCRESOL"
    PENTANAL = "PENTANAL"
    G2_METHYLPENTANE = "2-METHYLPENTANE"
    ETHANETHIOL = "ETHANETHIOL"
    PENTYL_ETHANOATE = "PENTYL ETHANOATE"
    G1_IODOBUTANE = "1-IODOBUTANE"
    THF = "THF"
    G4_METHYLPYRIDINE = "4-METHYLPYRIDINE"
    BENZENE = "BENZENE"
    CARBON_DISULFIDE = "CARBON DISULFIDE"
    N_HEXADECANE = "N-HEXADECANE"
    PROPANOIC_ACID = "PROPANOIC ACID"
    N_UNDECANE = "N-UNDECANE"
    METHYL_PROPANOATE = "METHYL PROPANOATE"
    ETHOXYBENZENE = "ETHOXYBENZENE"
    METHYL_ETHANOATE = "METHYL ETHANOATE"
    DIETHYL_SULFIDE = "DIETHYL SULFIDE"
    ACETIC_ACID = "ACETIC ACID"
    METHYLCYCLOHEXANE = "METHYLCYCLOHEXANE"
    PENTYLAMINE = "PENTYLAMINE"
    G2_CHLOROBUTANE = "2-CHLOROBUTANE"
    G4_HEPTANONE = "4-HEPTANONE"
    CYCLOPENTANE = "CYCLOPENTANE"
    THIOPHENOL = "THIOPHENOL"
    G1_IODOPENTANE = "1-IODOPENTANE"
    PHNO2 = "PHNO2"
    G1_IODOPROPANE = "1-IODOPROPANE"
    G2_BROMOPROPANE = "2-BROMOPROPANE"
    G1_NONANOL = "1-NONANOL"
    DIISOPROPYLETHER = "DIISOPROPYLETHER"
    HEXADECYLIODIDE = "HEXADECYLIODIDE"
    NITROETHANE = "NITROETHANE"
    SULFOLANE = "SULFOLANE"
    PROPYLAMINE = "PROPYLAMINE"
    DMSO = "DMSO"
    ISOPROPYLBENZENE = "ISOPROPYLBENZENE"
    TOLUENE = "TOLUENE"
    G1_FLUOROOCTANE = "1-FLUOROOCTANE"
    G1_BUTANOL = "1-BUTANOL"
    M_CRESOL = "M-CRESOL"
    G2_OCTANONE = "2-OCTANONE"
    G3_PENTANONE = "3-PENTANONE"
    BENZONITRILE = "BENZONITRILE"
    CYCLOPENTANOL = "CYCLOPENTANOL"
    O_DICHLOROBENZENE = "O-DICHLOROBENZENE"
    NITROMETHANE = "NITROMETHANE"
    ETHYLACETATE = "ETHYLACETATE"
    DIETHYL_ETHER = "DIETHYL ETHER"
    DECANE = "DECANE"
    P_ISOPROPYLTOLUENE = "P-ISOPROPYLTOLUENE"
    UNDECANE = "UNDECANE"
    THIOPHENE = "THIOPHENE"
    OCTANE = "OCTANE"
    G1_HEXANOL = "1-HEXANOL"
    DMF = "DMF"
    O_CRESOL = "O-CRESOL"
    G1_PENTANOL = "1-PENTANOL"
    MECN = "MECN"
    ANILINE = "ANILINE"
    ACETONITRILE = "ACETONITRILE"
    G1_CHLOROHEXANE = "1-CHLOROHEXANE"
    DIBROMOMETHANE = "DIBROMOMETHANE"
    DIOXANE = "DIOXANE"
    METHANOL = "METHANOL"
    BUTYL_ACETATE = "BUTYL ACETATE"
    TRICHLOROETHENE = "TRICHLOROETHENE"
    ISOOCTANE = "ISOOCTANE"
    BUTYLBENZENE = "BUTYLBENZENE"
    PENTADECANE = "PENTADECANE"
    G1_HEXYNE = "1-HEXYNE"
    CIS_DECALIN = "CIS-DECALIN"
    HEXAFLUOROBENZENE = "HEXAFLUOROBENZENE"
    DCM = "DCM"
    IODOETHANE = "IODOETHANE"
    DIMETHYLACETAMIDE = "DIMETHYLACETAMIDE"
    NITROBENZENE = "NITROBENZENE"
    DIPROPYLAMINE = "DIPROPYLAMINE"
    BUTANONITRILE = "BUTANONITRILE"
    N_HEPTANE = "N-HEPTANE"
    N_METHYLANILINE = "N-METHYLANILINE"
    PYRIDINE = "PYRIDINE"
    DIMETHYLSULFOXIDE = "DIMETHYLSULFOXIDE"
    CHLOROHEXANE = "CHLOROHEXANE"
    C2CL4 = "C2CL4"
    G1_IODOHEXADECANE = "1-IODOHEXADECANE"
    ETHANOL = "ETHANOL"
    G4METHYL2PENTANONE = "4METHYL2PENTANONE"
    NONANE = "NONANE"
    G1_HEPTANOL = "1-HEPTANOL"
    CYCLOHEXANONE = "CYCLOHEXANONE"
    CS2 = "CS2"
    DECANOL = "DECANOL"
    BUTYLAMINE = "BUTYLAMINE"
    BENZALDEHYDE = "BENZALDEHYDE"
    DIISOPROPYL_ETHER = "DIISOPROPYL ETHER"
    G1_BROMOOCTANE = "1-BROMOOCTANE"
    AMMONIA = "AMMONIA"
    DIMETHYLFORMAMIDE = "DIMETHYLFORMAMIDE"
    PHENYLETHER = "PHENYLETHER"
    CHCL3 = "CHCL3"
    DIETHYLAMINE = "DIETHYLAMINE"
    G2_METHYL_1_PROPANOL = "2-METHYL-1-PROPANOL"
    BROMOFORM = "BROMOFORM"
    ETHYL_METHANOATE = "ETHYL METHANOATE"
    ONITROTOLUENE = "ONITROTOLUENE"
    SEC_BUTYLBENZENE = "SEC-BUTYLBENZENE"
    G1_OCTANOL = "1-OCTANOL"
    CYCLOHEXANE = "CYCLOHEXANE"
    CHLOROFORM = "CHLOROFORM"
    ANISOLE = "ANISOLE"
    ISOPROPYLTOLUENE = "ISOPROPYLTOLUENE"
    PROPANAL = "PROPANAL"
    BROMOOCTANE = "BROMOOCTANE"
    BROMOETHANE = "BROMOETHANE"
    DIMETHYL_DISULFIDE = "DIMETHYL DISULFIDE"
    MESITYLENE = "MESITYLENE"
    N_BUTYLBENZENE = "N-BUTYLBENZENE"
    METHYL_BUTANOATE = "METHYL BUTANOATE"
    N_METHYLFORMAMIDE = "N-METHYLFORMAMIDE"
    N_PENTADECANE = "N-PENTADECANE"
    BUTANAL = "BUTANAL"
    TETRALIN = "TETRALIN"
    N_NONANE = "N-NONANE"
    DIIODOMETHANE = "DIIODOMETHANE"
    CCL4 = "CCL4"
    O_XYLENE = "O-XYLENE"
    G1_PENTENE = "1-PENTENE"
    G2_NITROPROPANE = "2-NITROPROPANE"
    O_CHLOROTOLUENE = "O-CHLOROTOLUENE"
    G3_METHYLPYRIDINE = "3-METHYLPYRIDINE"
    CARBONDISULFIDE = "CARBONDISULFIDE"
    G2_PROPEN_1_OL = "2-PROPEN-1-OL"
    FORMAMIDE = "FORMAMIDE"
    ACETOPHENONE = "ACETOPHENONE"
    TERT_BUTYLBENZENE = "TERT-BUTYLBENZENE"
    OCTANOL = "OCTANOL"
    BENZYLALCOHOL = "BENZYLALCOHOL"
    G1_BROMOPENTANE = "1-BROMOPENTANE"
    FURANE = "FURANE"
    FURAN = "FURAN"
    ETHYL_ACETATE = "ETHYL ACETATE"
    WOCTANOL = "WOCTANOL"
    WETOCTANOL = "WETOCTANOL"
    CONDUCTOR = "CONDUCTOR"
